Skip to main content
GET
/
v1
/
scrape
/
tiktok
/
comments
Comments
curl --request GET \
  --url https://api.sociavault.com/v1/scrape/tiktok/comments \
  --header 'X-API-Key: <api-key>'
{ "success": true, "data": { "success": true, "alias_comment_deleted": false, "comments": { "0": { "allow_download_photo": true, "author_pin": false, "aweme_id": "7251387037834595630", "cid": "7272047794442912558", "collect_stat": 0, "comment_language": "en", "comment_post_item_ids": null, "create_time": 1693155594, "digg_count": 805, "fold_status": -1, "image_list": null, "is_author_digged": true, "is_comment_translatable": true, "is_high_purchase_intent": false, "label_list": { "0": { "text": "作成者がいいねした", "type": 20 } }, "no_show": false, "reply_comment": null, "reply_comment_total": 19, "reply_id": "0", "reply_to_reply_id": "0", "share_info": { "acl": { "code": 0, "extra": "{}" }, "desc": "OnePlanet’s comment: You can’t Rick roll me I love this song", "title": "#rickroll #rickastley #nevrgonnagiveyouup #foryou #fyp #xyzbca Send this to someone to Rick Roll them", "url": "https://m.tiktok.com/v/7251387037834595630.html?_d=0&comment_author_id=7153358223394817067&preview_pb=0&share_comment_id=7272047794442912558&share_item_id=7251387037834595630&sharer_language=ja-JP&source=h5_m&u_code=0" }, "sort_extra_score": { "reply_score": 0.000106, "show_more_score": 0.06976 }, "sort_tags": "{\"author_digg\":1,\"top_list\":1}", "status": 1, "stick_position": 0, "text": "You can’t Rick roll me I love this song", "text_extra": {}, "thread_has_more": false, "thread_id": 0, "trans_btn_style": 1, "user": { "account_labels": null, "ad_cover_url": null, "advance_feature_item_order": null, "advanced_feature_info": null, "avatar_thumb": { "uri": "tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233", "url_list": { "0": "https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=cbace1a2&x-expires=1770660000&x-signature=lX8s2E%2B4vmVz2zv9nKpXCaSXbMM%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast5", "1": "https://p16-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpg?dr=9640&refresh_token=bdfd42c6&x-expires=1770660000&x-signature=FRbSK1iVMhQ9DCqKU939v6QveS8%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast5", "2": "https://p19-common-sign.tiktokcdn-us.com/tos-useast8-avt-0068-tx2/f7a81546e91314dda01afc026eeff233~tplv-tiktokx-cropcenter:100:100.jpeg?dr=9640&refresh_token=4611ef21&x-expires=1770660000&x-signature=FXHY4VeupBV%2FiQKNIZLrDF7LEuo%3D&t=4d5b0474&ps=13740610&shp=30310797&shcp=ff37627b&idc=useast5" }, "url_prefix": null }, "bold_fields": null, "can_message_follow_status_list": null, "can_set_geofencing": null, "cha_list": null, "cover_url": null, "custom_verify": "", "enterprise_verify_reason": "", "events": null, "followers_detail": null, "geofencing": null, "homepage_bottom_toast": null, "item_list": null, "mutual_relation_avatars": null, "need_points": null, "nickname": "OnePlanet", "platform_sync_info": null, "relative_users": null, "search_highlight": null, "sec_uid": "MS4wLjABAAAAHmEregfkxiGcEZexDX_RwtxElmRnlVWsrTIMcTwHcY-s7SgCwR8huf_07HCynoAZ", "shield_edit_field_info": null, "type_label": null, "uid": "7153358223394817067", "unique_id": "oneplanet.rr", "user_profile_guide": null, "user_tags": null, "white_cover_url": null }, "user_buried": false, "user_digged": 0 } }, "cursor": 20, "extra": { "api_debug_info": null, "fatal_item_ids": null, "now": 1770574475000 }, "has_filtered_comments": 0, "has_more": 1, "log_pb": { "impr_id": "20260208181435E472B60C3BA0929EFACB" }, "reply_style": 2, "status_code": 0, "status_msg": "", "top_gifts": null, "total": 2569 }, "credits_used": 1, "endpoint": "tiktok/comments" }
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

url
string
required

TikTok video URL

cursor
integer

Cursor to get more comments. Get 'cursor' from previous response.

Example:

20

trim
boolean

Set to true to get a trimmed response

Response

Successful response

Key Response Fields:

  • data.comments[].cid: Unique comment ID
  • data.comments[].text: Comment text
  • data.comments[].create_time: Unix timestamp of when the comment was posted
  • data.comments[].digg_count: Number of likes on the comment
  • data.comments[].reply_comment_total: Number of replies to this comment
  • data.comments[].comment_language: Language code of the comment (e.g. en)
  • data.comments[].is_author_digged: Whether the video author liked this comment
  • data.comments[].author_pin: Whether the video author pinned this comment
  • data.comments[].reply_id: ID of the parent comment (0 if top-level)
  • data.comments[].aweme_id: ID of the video this comment belongs to
  • data.comments[].image_list: Attached images (if any)
  • data.comments[].label_list[].text: Labels like "Creator liked"
  • data.comments[].user.unique_id: Commenter's TikTok username
  • data.comments[].user.nickname: Commenter's display name
  • data.comments[].user.uid: Commenter's user ID
  • data.comments[].user.sec_uid: Commenter's secure user ID
  • data.comments[].user.avatar_thumb.url_list[0]: Commenter's profile picture
  • data.total: Total number of comments on the video
  • data.has_more: Whether more comments are available (1 = yes)
  • data.cursor: Pagination cursor — pass as cursor parameter to get the next page